package com.example.vo;

import lombok.Data;

import javax.persistence.Lob;
import java.util.Date;

/**
 * @ClassName MessageLog
 * @Description 解析 患者基础信息
 * @Author linjj
 * @Date 2025/4/8 11:12
 * @Version 1.0
 */
@Data
public class MessageLog {
    private String id;

    @Lob
    /**
     *  输入内容
     * */
    private String inputContent;

    /**
     * 输出内容
     */
    @Lob
    private String outContent;

    /**
     * 类型 与 字典表匹配
     */
    private String type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 消息结果 0 未成功 1是成功
     */
    private Integer result;

    /**
     * 返回json
     */
    @Lob
    private String outJson;

    /**
     * 接口名称
     */
    private String interfaceName;

    /**
     * xml创建时间
     */
    private Date xmlCreateTime;

    /**
     * 执行时间
     */
    private Long executionTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * xml执行时间
     */
    private Long xmlExecutionTime;

    public MessageLog(String inputContent, String interfaceName, Date createTime) {
        this.inputContent = inputContent;
        this.interfaceName = interfaceName;
        this.createTime = createTime;
    }

    public MessageLog() {

    }

    public void setValue(String outContent, Integer result, String outJson, Date xmlCreateTime, Long executionTime, Date endTime, String type) {
        this.outContent = outContent;
        this.result = result;
        this.outJson = outJson;
        this.xmlCreateTime = xmlCreateTime;
        this.executionTime = executionTime;
        this.endTime = endTime;
        this.type = type;
    }

}
